This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 607777 - Review Request: xnoise - Tracklist-centric Media Player
Review Request: xnoise - Tracklist-centric Media Player
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Schwendt
Fedora Extras Quality Assurance
:
: 586433 (view as bug list)
Depends On:
Blocks: 607778
  Show dependency treegraph
 
Reported: 2010-06-24 15:03 EDT by Michel Alexandre Salim
Modified: 2010-07-16 14:49 EDT (History)
5 users (show)

See Also:
Fixed In Version: xnoise-plugins-core-0.1.6-2.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-27 16:06:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
bugs.michael: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Michel Alexandre Salim 2010-06-24 15:03:31 EDT
Spec URL: http://salimma.fedorapeople.org/specs/gnome/xnoise.spec
SRPM URL: http://salimma.fedorapeople.org/specs/gnome/xnoise-plugins-core-0.1.6-1.fc13.src.rpm
Description:
Xnoise is a Gtk+ media player with a tracklist-centric design. The
tracklist is a list of video or music tracks that are played one by
one without being removed (right side of window). This gives you the
possibility to enqueue any track in any order, regardless if they are
on the same album or not. The tracks can be reordered at any time by
using drag and drop.
Comment 1 Michel Alexandre Salim 2010-06-24 15:17:33 EDT
Koji scratch build results (F-13):
http://koji.fedoraproject.org/koji/taskinfo?taskID=2271016
Comment 2 Michel Alexandre Salim 2010-06-25 06:13:22 EDT
*** Bug 586433 has been marked as a duplicate of this bug. ***
Comment 3 Michael Schwendt 2010-06-25 06:33:17 EDT
> SRPM URL:

http://salimma.fedorapeople.org/specs/gnome/xnoise-0.1.6-1.fc13.src.rpm


$ sha1sum xnoise-0.1.6.tar.gz 
224d328f928f7aa016309df9d307cd42da71f026  xnoise-0.1.6.tar.gz


> %{_datadir}/vala/vapi/xnoise-1.0.*

Nothing pulls in vala when installing xnoise-devel, but vala is the package
that owns the vala/vapi directories. You either need to include these
directories with the same permissions as in "vala" or require "vala":
https://fedoraproject.org/wiki/Packaging:Guidelines#File_and_Directory_Ownership

Precedent for "multiple ownership of vala dirs": libcanberra-devel -> bug
523473


* rpmlint:

xnoise.x86_64: E: incorrect-locale-subdir
/usr/share/locale/default/LC_MESSAGES/xnoise.mo

Indeed looks like a file you ought to delete or %exclude.


* Should xnoise play _all_ files understood by GStreamer? For example, with
gstreamer-plugins-ugly installed, it plays .sid files (MIME type
audio/prs.sid). But with gstreamer-plugins-fc installed, it doesn't recognize
.fc files (which are played by rhythmbox, on the contrary).


* Translations are far from complete. The de_DE translation module is mostly
useless.


* Other than that, the packaging is fine, and the app works.
Comment 4 Michel Alexandre Salim 2010-06-25 07:05:12 EDT
(In reply to comment #3)
> > %{_datadir}/vala/vapi/xnoise-1.0.*
> 
> Nothing pulls in vala when installing xnoise-devel, but vala is the package
> that owns the vala/vapi directories. You either need to include these
> directories with the same permissions as in "vala" or require "vala":
> https://fedoraproject.org/wiki/Packaging:Guidelines#File_and_Directory_Ownership
> 
Thanks. I initially Req:ed vala, then thought that was unnecessary but forgot to own the directory as well.

> * rpmlint:
> 
> xnoise.x86_64: E: incorrect-locale-subdir
> /usr/share/locale/default/LC_MESSAGES/xnoise.mo
> 
> Indeed looks like a file you ought to delete or %exclude.
Probably cleaner to delete it, and before %find_lang is run; not sure how
%exclude interacts with the file listing generated by %find_lang
> 
> 
> * Should xnoise play _all_ files understood by GStreamer? For example, with
> gstreamer-plugins-ugly installed, it plays .sid files (MIME type
> audio/prs.sid). But with gstreamer-plugins-fc installed, it doesn't recognize
> .fc files (which are played by rhythmbox, on the contrary).

Sounds like a bug that should be filed upstream.

> * Translations are far from complete. The de_DE translation module is mostly
> useless.
In this case, should it be excluded, or should I ship it anyway? (will keep it
in the current revision, but please let me know if it's better to exclude such
files)

> 
> 
> * Other than that, the packaging is fine, and the app works.    

Thanks. Updated SRPM here:
http://salimma.fedorapeople.org/specs/gnome/xnoise-0.1.6-2.fc13.src.rpm
Comment 5 Michael Schwendt 2010-06-25 13:29:30 EDT
> +# make package own the vala API dir:
> +# xnoise plugins don't have to be written in vala
> +%dir %{_datadir}/vala/vapi

%dir %{_datadir}/vala    is missing.


About the translations, upstream could improve the release of translations based on the "translated/untranslated ratio". As a packager, it wouldn't be fun to check that ratio often for all offered languages. And in xnoise 0.1.6, parts of the UI have not entered the PO files [yet], so untranslated strings are missing. Perhaps that's just a bug.


APPROVED
Comment 6 Michel Alexandre Salim 2010-06-26 01:10:23 EDT
Great, thanks! Will add the missing dir and try and get upstream to fix the translation.

New Package CVS Request
=======================
Package Name: xnoise
Short Description: Tracklist-centric Media Player
Owners: salimma
Branches: F-12 F-13 EL-6
InitialCC:
Comment 7 Jason Tibbitts 2010-06-26 04:06:17 EDT
CVS done (by process-cvs-requests.py).
Comment 8 Fedora Update System 2010-07-08 07:48:29 EDT
xnoise-plugins-core-0.1.6-2.fc13,xnoise-0.1.6-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/xnoise-plugins-core-0.1.6-2.fc13,xnoise-0.1.6-2.fc13
Comment 9 Fedora Update System 2010-07-16 14:48:54 EDT
xnoise-plugins-core-0.1.6-2.fc13, xnoise-0.1.6-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.